# cycler with different colors
colorcycler = Utils.cycle "#28AFFA","#F8B000","#877DD7","#7DDD11"


layerA = new Layer
	size: 250
	borderRadius: 9
	backgroundColor: colorcycler()
	point: Align.center
	shadowColor: "rgba(153,153,153,1)"
	shadowY: 16
	shadowBlur: 32


layerA.onLongPressStart ->
	# called after pressing down half a second
	this.scale = 0.94
	this.shadowColor = null

layerA.onLongPress ->
	# called together with onLongPressStart
	this.backgroundColor = colorcycler()

layerA.onLongPressEnd ->
	# called upon release of a long press
	this.scale = 1
	this.shadowColor = "rgba(153,153,153,1)"
